Bug 257501 - tg3 driver in SMP kernel does not acquire IP address with Broadcom 5755
tg3 driver in SMP kernel does not acquire IP address with Broadcom 5755
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 15:02 EDT by Bob Dingman
Modified: 2014-06-29 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages excerpts corresponding to successful boot with non-smp kernel using tg3 v.3.52RH driver (11.89 KB, text/plain)
2007-08-27 15:30 EDT, Bob Dingman
no flags Details
excerpt from /var/log/messages for (failed) DHCP bootup followed by a successful "ifup eth0" using BOOTPROTO=dhcp in both cases (6.32 KB, text/plain)
2007-08-28 21:22 EDT, Bob Dingman
no flags Details
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.52RH (29.38 KB, text/plain)
2007-09-04 23:26 EDT, Bob Dingman
no flags Details
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.71b (29.99 KB, text/plain)
2007-09-04 23:27 EDT, Bob Dingman
no flags Details
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.71b (29.99 KB, text/plain)
2007-09-04 23:29 EDT, Bob Dingman
no flags Details
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.52RH (29.38 KB, text/plain)
2007-09-04 23:29 EDT, Bob Dingman
no flags Details

  None (edit)
Description Bob Dingman 2007-08-27 15:02:33 EDT
Description of problem:

Following installation of RHEL 3 Update 9 on computer (Lenovo 8810-94U) the
computer does not automatically acquire an IP address when booting from the smp
kernel. The non-smp kernel appears to acquire an IP address and work fine.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-50.EL

How reproducible:
Every time

Steps to Reproduce:
1. Install RHEL 3 Update 9. Computer will reboot at the end of installation
(after set up of video, etc.)
2. Select SMP kernel upon rebooting

  
Actual results:
Computer does not acquire IP address automatically and fails initialization.
Here is the /var/log/messages excerpt for the tg3 driver (ver. 3.52RH) that
comes with RHEL 3 U9:

Aug 26 13:55:37 localhost kernel: Intel machine check reporting enabled on CPU#0.
Aug 26 13:55:37 localhost kernel: CPU0: Intel(R) Core(TM)2 CPU          6300  @
1.86GHz stepping 02
Aug 26 13:55:37 localhost kernel: per-CPU timeslice cutoff: 5853.34 usecs.
Aug 26 13:55:37 localhost kernel: task migration cache decay timeout: 10 msecs.
Aug 26 13:55:37 localhost kernel: enabled ExtINT on CPU#0
Aug 26 13:55:37 localhost kernel: ESR value before enabling vector: 00000000
Aug 26 13:55:37 localhost kernel: ESR value after enabling vector: 00000000
Aug 26 13:55:37 localhost kernel: Booting processor 1/1 eip 2000
Aug 26 13:55:37 localhost kernel: Initializing CPU#1
Aug 26 13:55:37 localhost kernel: masked ExtINT on CPU#1
Aug 26 13:55:37 localhost kernel: ESR value before enabling vector: 00000000
Aug 26 13:55:37 localhost kernel: ESR value after enabling vector: 00000000
Aug 26 13:55:37 localhost kernel: Calibrating delay loop... 3709.33 BogoMIPS
Aug 26 13:55:37 localhost kernel: CPU: L1 I-cache: 32K, L1 D-cache: 32K
Aug 26 13:55:37 localhost kernel: CPU: L2 cache: 2048K
Aug 26 13:55:37 localhost kernel: CPU: Physical Processor ID: 0
Aug 26 13:55:37 localhost kernel: CPU: Processor Core ID: 1
Aug 26 13:55:37 localhost kernel: Intel machine check reporting enabled on CPU#1.
Aug 26 13:55:37 localhost kernel: CPU1: Intel(R) Core(TM)2 CPU          6300  @
1.86GHz stepping 02
Aug 26 13:55:37 localhost kernel: Total of 2 processors activated (7418.67
BogoMIPS).
Aug 26 13:55:37 localhost kernel: ENABLING IO-APIC IRQs
Aug 26 13:55:37 localhost kernel: Setting 2 in the phys_id_present_map
Aug 26 13:55:37 localhost portmap: portmap startup succeeded
Aug 26 13:55:37 localhost kernel: ...changing IO-APIC physical APIC ID to 2 ... ok.
Aug 26 13:55:37 localhost kernel: ..TIMER: vector=0x31 pin1=2 pin2=0
Aug 26 13:55:37 localhost kernel: testing the IO APIC.......................
Aug 26 13:55:37 localhost kernel:
Aug 26 13:55:37 localhost kernel: .................................... done.
Aug 26 13:55:37 localhost kernel: Using local APIC timer interrupts.
Aug 26 13:55:37 localhost kernel: calibrating APIC timer ...
Aug 26 13:55:37 localhost kernel: ..... CPU clock speed is 1860.7311 MHz.
Aug 26 13:55:37 localhost kernel: ..... host bus clock speed is 265.8185 MHz.
Aug 26 13:55:37 localhost kernel: cpu: 0, clocks: 2658185, slice: 886061
Aug 26 13:55:37 localhost kernel: CPU0<T0:2658176,T1:1772112,D:3,S:886061,C:2658185>
Aug 26 13:55:37 localhost kernel: cpu: 1, clocks: 2658185, slice: 886061
Aug 26 13:55:37 localhost kernel: CPU1<T0:2658176,T1:886048,D:6,S:886061,C:2658185>
Aug 26 13:55:37 localhost kernel: zapping low mappings.
Aug 26 13:55:37 localhost kernel: Process timing init...done.
Aug 26 13:55:37 localhost kernel: Starting migration thread for cpu 0
Aug 26 13:55:37 localhost kernel: Starting migration thread for cpu 1
.
.
.
Aug 26 13:55:40 localhost kernel: tg3.c:v3.52RH (Mar 06, 2006)
Aug 26 13:54:30 localhost sysctl: net.ipv4.ip_forward = 0
Aug 26 13:54:30 localhost sysctl: net.ipv4.conf.default.rp_filter = 1
Aug 26 13:54:30 localhost sysctl: kernel.sysrq = 0
Aug 26 13:55:40 localhost kernel: eth0: Tigon3 [partno(BCM95755) rev a002
PHY(5755)] (PCI Express) 10/100/1000BaseT Ethernet 00:16:41:ed:0f:d6
Aug 26 13:54:30 localhost sysctl: kernel.core_uses_pid = 1
Aug 26 13:55:40 localhost kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[0]
Aug 26 13:54:30 localhost network: Setting network parameters:  succeeded
Aug 26 13:55:40 localhost kernel: eth0: dma_rwctrl[76180000]
Aug 26 13:54:30 localhost network: Bringing up loopback interface:  succeeded
Aug 26 13:54:30 localhost ifup:
Aug 26 13:55:40 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Aug 26 13:54:30 localhost ifup: Determining IP information for eth0...
Aug 26 13:55:40 localhost kernel: tg3.c:v3.52RH (Mar 06, 2006)
Aug 26 13:54:35 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 8
Aug 26 13:54:43 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 10
Aug 26 13:54:53 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 13
Aug 26 13:55:40 localhost kernel: eth0: Tigon3 [partno(BCM95755) rev a002
PHY(5755)] (PCI Express) 10/100/1000BaseT Ethernet 00:16:41:ed:0f:d6
Aug 26 13:55:06 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 14
Aug 26 13:55:40 localhost kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[0]
Aug 26 13:55:20 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 16
Aug 26 13:55:41 localhost kernel: eth0: dma_rwctrl[76180000]
Aug 26 13:55:36 localhost dhclient: No DHCPOFFERS received.
Aug 26 13:55:41 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Aug 26 13:55:36 localhost ifup:  failed.
Aug 26 13:55:36 localhost network: Bringing up interface eth0:  failed
Aug 26 13:55:44 localhost kernel: parport0: PC-style at 0x378 (0x778)
[PCSPP,TRISTATE]
Aug 26 13:55:44 localhost kernel: parport0: irq 7 detected
Aug 26 13:55:44 localhost kernel: lp0: using parport0 (polling).
Aug 26 13:55:44 localhost kernel: lp0: console ready
Aug 26 13:55:44 localhost kernel: usb.c: registered new driver serial
Aug 26 13:55:44 localhost kernel: usbserial.c: USB Serial support registered for
Generic
Aug 26 13:55:44 localhost kernel: usbserial.c: USB Serial Driver core v1.4
Aug 26 13:55:45 localhost kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Aug 26 13:55:45 localhost kernel: tg3: eth0: Flow control is on for TX and on
for RX.

**************

Here's an excerpt corresponding to Broadcom's tg3 driver (ver 3.66d), again with
the smp kernel from RHEL 3 U9:
.
.
.
Aug 26 14:20:17 localhost kernel: tg3.c:v3.66d (September 1, 2006)
Aug 26 14:18:53 localhost devlabel: devlabel service started/restarted
Aug 26 14:18:54 localhost last message repeated 2 times
Aug 26 14:20:17 localhost kernel: eth0: Tigon3 [partno(BCM95755) rev a002
PHY(5755)] (PCI Express) 10/100/1000BaseT Ethernet 00:16:41:ed:0f:d6
Aug 26 14:19:07 localhost kudzu:  succeeded
Aug 26 14:20:18 localhost kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[0]
Aug 26 14:19:07 localhost kudzu: Updating /etc/fstab succeeded
Aug 26 14:20:18 localhost kernel: eth0: dma_rwctrl[76180000] dma_mask[64-bit]
Aug 26 14:19:07 localhost sysctl: net.ipv4.ip_forward = 0
Aug 26 14:19:07 localhost sysctl: net.ipv4.conf.default.rp_filter = 1
Aug 26 14:19:07 localhost sysctl: kernel.sysrq = 0
Aug 26 14:19:07 localhost sysctl: kernel.core_uses_pid = 1
Aug 26 14:19:07 localhost network: Setting network parameters:  succeeded
Aug 26 14:19:07 localhost network: Bringing up loopback interface:  succeeded
Aug 26 14:19:07 localhost ifup:
Aug 26 14:20:18 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Aug 26 14:19:07 localhost ifup: Determining IP information for eth0...
Aug 26 14:20:18 localhost kernel: tg3.c:v3.66d (September 1, 2006)
Aug 26 14:19:13 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 5
Aug 26 14:19:18 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 14
Aug 26 14:19:32 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 8
Aug 26 14:19:40 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 18
Aug 26 14:19:58 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 16
Aug 26 14:20:14 localhost dhclient: No DHCPOFFERS received.
Aug 26 14:20:18 localhost kernel: eth0: Tigon3 [partno(BCM95755) rev a002
PHY(5755)] (PCI Express) 10/100/1000BaseT Ethernet 00:16:41:ed:0f:d6
Aug 26 14:20:14 localhost ifup:  failed.
Aug 26 14:20:18 localhost kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[0]
Aug 26 14:20:14 localhost network: Bringing up interface eth0:  failed
Aug 26 14:20:18 localhost kernel: eth0: dma_rwctrl[76180000] dma_mask[64-bit]
Aug 26 14:20:18 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Aug 26 14:20:22 localhost kernel: parport0: PC-style at 0x378 (0x778)
[PCSPP,TRISTATE]
Aug 26 14:20:22 localhost kernel: parport0: irq 7 detected
Aug 26 14:20:22 localhost kernel: lp0: using parport0 (polling).
Aug 26 14:20:22 localhost kernel: lp0: console ready
Aug 26 14:20:22 localhost kernel: usb.c: registered new driver serial
Aug 26 14:20:22 localhost kernel: usbserial.c: USB Serial support registered for
Generic
Aug 26 14:20:22 localhost kernel: usbserial.c: USB Serial Driver core v1.4
Aug 26 14:20:23 localhost kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Aug 26 14:20:23 localhost kernel: tg3: eth0: Flow control is on for TX and on
for RX.


Expected results:
The non-smp kernel (kernel-2.4.21-50.EL) appears to work well with the tg3
driver (ver 3.52RH) in RHEL 3 U9. Presumably the smp kernel should have results
more like the non-smp one:

Aug 26 14:34:30 dev08 kernel: Intel machine check architecture supported.
Aug 26 14:34:30 dev08 kernel: Intel machine check reporting enabled on CPU#0.
Aug 26 14:34:30 dev08 kernel: CPU: Intel(R) Core(TM)2 CPU          6300  @
1.86GHz stepping 02
Aug 26 14:34:30 dev08 kernel: Enabling fast FPU save and restore... done.
Aug 26 14:34:30 dev08 kernel: Enabling unmasked SIMD FPU exception support... done.
Aug 26 14:34:30 dev08 kernel: Checking 'hlt' instruction... OK.
Aug 26 14:34:30 dev08 kernel: POSIX conformance testing by UNIFIX
Aug 26 14:34:30 dev08 kernel: Process timing init...done.
Aug 26 14:34:30 dev08 kernel: mtrr: v1.40 (20010327) Richard Gooch
(rgooch@atnf.csiro.au)
Aug 26 14:34:30 dev08 kernel: mtrr: detected mtrr type: Intel
.
.
.
Aug 26 14:34:23 dev08 ifup:
Aug 26 14:34:36 dev08 kernel: usb-uhci.c: v1.275:USB Universal Host Controller
Interface driver
Aug 26 14:34:23 dev08 ifup: Determining IP information for eth0...
Aug 26 14:34:36 dev08 kernel: PCI: Found IRQ 11 for device 00:1a.7
Aug 26 14:34:29 dev08 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67
interval 3
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:01.0
Aug 26 14:34:29 dev08 dhclient: DHCPOFFER from 192.168.1.254
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:1a.0
Aug 26 14:34:29 dev08 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:1b.0
Aug 26 14:34:29 dev08 dhclient: DHCPACK from 192.168.1.254
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:1c.0
Aug 26 14:34:29 dev08 NET: /sbin/dhclient-script : updated /etc/resolv.conf
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:1c.4
Aug 26 14:34:29 dev08 dhclient: bound to 192.168.1.71 -- renewal in 21451 seconds.
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:1d.0
Aug 26 14:34:29 dev08 ifup:  done.
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 00:1d.7
Aug 26 14:34:29 dev08 network: Bringing up interface eth0:  succeeded
Aug 26 14:34:36 dev08 kernel: PCI: Sharing IRQ 11 with 01:00.0
Aug 26 14:34:36 dev08 kernel: ehci-hcd 00:1a.7: PCI device 8086:283a (Intel Corp.)
Aug 26 14:34:36 dev08 kernel: ehci-hcd 00:1a.7: irq 11, pci mem f8856000
Aug 26 14:34:36 dev08 kernel: usb.c: new USB bus registered, assigned bus number 6
Aug 26 14:34:36 dev08 kernel: ehci-hcd 00:1a.7: enabled 64bit PCI DMA
Aug 26 14:34:36 dev08 kernel: ehci-hcd 00:1a.7: USB 2.0 enabled, EHCI 1.00,
driver 2003-Jan-22
Aug 26 14:34:36 dev08 kernel: hub.c: USB hub found
Aug 26 14:34:36 dev08 kernel: hub.c: 4 ports detected
Aug 26 14:34:37 dev08 kernel: PCI: Found IRQ 11 for device 00:1d.7
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:01.0
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:1a.0
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:1a.7
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:1b.0
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:1c.0
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:1c.4
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 00:1d.0
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 11 with 01:00.0
Aug 26 14:34:37 dev08 kernel: ehci-hcd 00:1d.7: PCI device 8086:2836 (Intel Corp.)
Aug 26 14:34:37 dev08 kernel: ehci-hcd 00:1d.7: irq 11, pci mem f8858400
Aug 26 14:34:37 dev08 kernel: usb.c: new USB bus registered, assigned bus number 7
Aug 26 14:34:37 dev08 kernel: ehci-hcd 00:1d.7: enabled 64bit PCI DMA
Aug 26 14:34:37 dev08 kernel: ehci-hcd 00:1d.7: USB 2.0 enabled, EHCI 1.00,
driver 2003-Jan-22
Aug 26 14:34:37 dev08 kernel: hub.c: USB hub found
Aug 26 14:34:37 dev08 kernel: hub.c: 6 ports detected
Aug 26 14:34:37 dev08 kernel: usb.c: registered new driver hiddev
Aug 26 14:34:37 dev08 kernel: usb.c: registered new driver hid
Aug 26 14:34:37 dev08 kernel: hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik
<vojtech@suse.cz>
Aug 26 14:34:37 dev08 kernel: hid-core.c: USB HID support drivers
Aug 26 14:34:37 dev08 kernel: mice: PS/2 mouse device common for all mice
Aug 26 14:34:37 dev08 kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,2),
internal journal
Aug 26 14:34:37 dev08 kernel: hub.c: connect-debounce failed, port 1 disabled
Aug 26 14:34:37 dev08 kernel: hub.c: new USB device 00:1d.0-2, assigned address 2
Aug 26 14:34:37 dev08 kernel: usb.c: USB device 2 (vend/prod 0x644/0x0) is not
claimed by any active driver.
Aug 26 14:34:37 dev08 kernel: hub.c: new USB device 00:1a.1-1, assigned address 2
Aug 26 14:34:37 dev08 kernel: input0: USB HID v1.11 Mouse [04b3:310c] on usb2:2.0
Aug 26 14:34:37 dev08 kernel: hub.c: new USB device 00:1a.1-2, assigned address 3
Aug 26 14:34:37 dev08 kernel: input1: USB HID v1.11 Keyboard [Hewlett-Packard
Company HP USB Smart Card Keyboard] on usb2:3.0
Aug 26 14:34:37 dev08 kernel: SCSI subsystem driver Revision: 1.00
Aug 26 14:34:37 dev08 kernel: Initializing USB Mass Storage driver...
Aug 26 14:34:37 dev08 kernel: usb.c: registered new driver usb-storage
Aug 26 14:34:37 dev08 kernel: scsi0 : SCSI emulation for USB Mass Storage devices
Aug 26 14:34:37 dev08 kernel:   Vendor: TEAC      Model: FD-05PUB          Rev: 3000
Aug 26 14:34:37 dev08 kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Aug 26 14:34:37 dev08 kernel: USB Mass Storage support registered.
Aug 26 14:34:37 dev08 kernel: Attached scsi removable disk sda at scsi0, channel
0, id 0, lun 0
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: inserting floppy driver for 2.4.21-50.EL
Aug 26 14:34:37 dev08 kernel: FDC 0 is a post-1991 82077
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: kjournald starting.  Commit interval 5 seconds
Aug 26 14:34:37 dev08 kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1),
internal journal
Aug 26 14:34:37 dev08 kernel: EXT3-fs: mounted filesystem with ordered data mode.
Aug 26 14:34:37 dev08 kernel: Adding Swap: 2048276k swap-space (priority -1)
Aug 26 14:34:37 dev08 kernel: IA-32 Microcode Update Driver: v1.13
<tigran@veritas.com>
Aug 26 14:34:37 dev08 kernel: microcode: No suitable data for cpu 0
Aug 26 14:34:37 dev08 kernel: parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
Aug 26 14:34:37 dev08 kernel: parport0: irq 7 detected
Aug 26 14:34:37 dev08 kernel: SCSI device sda: 2097151 512-byte hdwr sectors
(1074 MB)
Aug 26 14:34:37 dev08 kernel:  sda: I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  I/O error: dev 08:00, sector 0
Aug 26 14:34:37 dev08 kernel:  unable to read partition table
Aug 26 14:34:37 dev08 kernel: tg3.c:v3.52RH (Mar 06, 2006)
Aug 26 14:34:37 dev08 kernel: PCI: Found IRQ 9 for device 03:00.0
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 9 with 00:1a.1
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 9 with 00:1d.1
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 9 with 00:1f.2
Aug 26 14:34:37 dev08 kernel: PCI: Sharing IRQ 9 with 00:1f.3
Aug 26 14:34:37 dev08 kernel: IRQ routing conflict for 03:00.0, have irq 11,
want irq 9
Aug 26 14:34:37 dev08 kernel: eth0: Tigon3 [partno(BCM95755) rev a002 PHY(5755)]
(PCI Express) 10/100/1000BaseT Ethernet 00:16:41:ed:0f:d6
Aug 26 14:34:37 dev08 kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[0]
Aug 26 14:34:37 dev08 kernel: eth0: dma_rwctrl[76180000]
Aug 26 14:34:37 dev08 kernel: ip_tables: (C) 2000-2002 Netfilter core team
Aug 26 14:34:37 dev08 kernel: tg3.c:v3.52RH (Mar 06, 2006)
Aug 26 14:34:37 dev08 kernel: PCI: Found IRQ 9 for device 03:00.0
Aug 26 14:34:38 dev08 kernel: PCI: Sharing IRQ 9 with 00:1a.1
Aug 26 14:34:38 dev08 kernel: PCI: Sharing IRQ 9 with 00:1d.1
Aug 26 14:34:38 dev08 kernel: PCI: Sharing IRQ 9 with 00:1f.2
Aug 26 14:34:38 dev08 kernel: PCI: Sharing IRQ 9 with 00:1f.3
Aug 26 14:34:38 dev08 kernel: IRQ routing conflict for 03:00.0, have irq 11,
want irq 9
Aug 26 14:34:38 dev08 kernel: eth0: Tigon3 [partno(BCM95755) rev a002 PHY(5755)]
(PCI Express) 10/100/1000BaseT Ethernet 00:16:41:ed:0f:d6
Aug 26 14:34:38 dev08 kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[0]
Aug 26 14:34:38 dev08 kernel: eth0: dma_rwctrl[76180000]
Aug 26 14:34:38 dev08 kernel: ip_tables: (C) 2000-2002 Netfilter core team
Aug 26 14:34:38 dev08 kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Aug 26 14:34:38 dev08 kernel: tg3: eth0: Flow control is on for TX and on for RX.

It's odd that the tg3 driver in the non-smp kernel appears to work but reports
an IRQ routing conflict whereas the one in the smp kernel does not work and
reports no such conflict.

Additional info:
Comment 1 Bob Dingman 2007-08-27 15:30:39 EDT
Created attachment 174241 [details]
/var/log/messages excerpts corresponding to successful boot with non-smp kernel using tg3 v.3.52RH driver
Comment 2 Bob Dingman 2007-08-27 15:36:42 EDT
Comment on attachment 174241 [details]
/var/log/messages excerpts corresponding to successful boot with non-smp kernel using tg3 v.3.52RH driver

For anyone who is uncomfortable with the hostname change from "localhost" to
"dev08" above, I've created an attachment corresponding to a successful boot
with the non-smp kernel 2.4.21-50.EL of RHEL 3 U9 using tg3 driver version
3.52RH. The result appears to be the same (ifup succeeds and still there's an
IRQ routing conflict.)
Comment 3 Andy Gospodarek 2007-08-27 16:18:20 EDT
Can you pass traffic at all (with a static IP) with this tg3 device when using
the 2.4.21-50 smp kernel?
Comment 4 Bob Dingman 2007-08-28 21:20:26 EDT
Yes - well, sort of.

Bear in mind what I'm describing now for the 2.4.21-50 smp kernel applies to the
v.3.66d tg3 driver. Anything for the 2.4.21-50 non-smp kernel is using the
v.3.52RH tg3 driver.

It turns out that I can assign a static IP address by specifying it in
/etc/sysconfig/network-scripts/ifcfg-eth0 and ifup eth0 (i.e., as normal). This
static IP also sets up okay upon reboot. In fact, I can even set BOOTPROTO in
ifcfg-eth0 to "DHCP" and the NIC will be assigned an IP address via DHCP - but
DHCP does not work upon reboot.


"ifup eth0" yielded the following result:
[root@localhost root]#ifup eth0
Determining IP information for eth0... done.
[root@localhost root]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:16:41:ED:0F:D6
          inet addr:192.168.1.71  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:30 errors:0 dropped:0 overruns:0 frame:0
          TX packets:7 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:6990 (6.8 Kb)  TX bytes:1860 (1.8 Kb)
          Interrupt:17

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:12781 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12781 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:959550 (937.0 Kb)  TX bytes:959550 (937.0 Kb)

However, a ping resulted in the following:
[root@localhost root]# ping 192.168.1.15
PING 192.168.1.15 (192.168.1.15) 56(84) bytes of data.
64 bytes from 192.168.1.15: icmp_seq=0 ttl=64 time=14542 ms
64 bytes from 192.168.1.15: icmp_seq=1 ttl=64 time=13527 ms
64 bytes from 192.168.1.15: icmp_seq=2 ttl=64 time=12527 ms
64 bytes from 192.168.1.15: icmp_seq=3 ttl=64 time=11527 ms
64 bytes from 192.168.1.15: icmp_seq=4 ttl=64 time=10527 ms
64 bytes from 192.168.1.15: icmp_seq=5 ttl=64 time=9527 ms
64 bytes from 192.168.1.15: icmp_seq=6 ttl=64 time=8527 ms
64 bytes from 192.168.1.15: icmp_seq=7 ttl=64 time=7527 ms
64 bytes from 192.168.1.15: icmp_seq=8 ttl=64 time=6527 ms

The ping responses would not print to the console until I hit <ctrl><c> and then
they would show large delays, albeit at 1 s intervals as expected. It's as
though the responses were being queued somewhere.

Please note that the ping command appears to work normally with the v.3.52RH
driver in the 2.4.21.EL non-smp kernel and returns responses within about 150 ms
(i.e., without requiring any <ctrl><c> combinations)

I've attached an excerpt from the /var/log/messages file corresponding to the
DHCP failed boot immediately followed by a "successful" "ifup eth0" using
BOOTPROTO=dhcp.  I qualified "successful" because of the odd delay encountered
with the ping operation.  
Comment 5 Bob Dingman 2007-08-28 21:22:43 EDT
Created attachment 177721 [details]
excerpt from /var/log/messages for (failed) DHCP bootup followed by a successful "ifup eth0" using BOOTPROTO=dhcp in both cases
Comment 6 Andy Gospodarek 2007-08-29 16:49:54 EDT
Hmmm, this is curious.  Are you running with hyper-threaded processors by any
chance?  What if you boot the smp kernel (with the RH-supplied tg3 driver) and
use the 'noht' kernel command line option.  The smp kernel definitely seems to
behave in an interesting way on this system, so I'd like to drop hyper-threading
out of the picture.
Comment 7 Bob Dingman 2007-09-04 23:26:53 EDT
Created attachment 186821 [details]
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.52RH
Comment 8 Bob Dingman 2007-09-04 23:27:55 EDT
Created attachment 186831 [details]
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.71b
Comment 9 Bob Dingman 2007-09-04 23:29:04 EDT
Created attachment 186841 [details]
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.71b
Comment 10 Bob Dingman 2007-09-04 23:29:22 EDT
Created attachment 186851 [details]
RHEL3 U9 smp kernel boot with 'noht' boot option, broadcom tg3.o v.3.52RH
Comment 11 Bob Dingman 2007-09-04 23:41:33 EDT
In comment #7 and comment #8 above I've attached /var/log/message outputs that
correspond to booting the RHEL3 U9 smp kernel with the 'noht' kernel boot option.

In both cases, the behavior seemed the same as described in comment #4 above,
namely that DHCP did not work upon bootup and static assignment was possible
(e.g., 'ifconfig eth0 192.168.1.71 up'). 

However, as described in comment #4, when I would ping another computer on the
network, the responses seemed to queue rather than print to the console. One
modification I would make to comment #4 is that it appears as though one can
effect the ping responses printing to the console by hitting any key, not
necessarily just the <ctrl><c> combination.

[comments #9 and #10 are duplicates of #7 and #8 and can be deleted - sorry.]
Comment 12 Bob Dingman 2007-10-09 16:48:00 EDT
I encountered very similar results installing RHEL3 U9 to a Lenovo 8808-94U
computer even though it installed fine on a (Redhat Certified) HP dc7100. In
comparing the /var/log/messages outputs, it looked as though the IRQ assignment
from the I/O APIC was incorrect on the Lenovos.  I added "noapic" to the smp
boot options and this appears to have fixed the problem.

Unfortunately, I do not have much insight into the failure of RHEL3 U9 with the
APIC version 32 of the Lenovos. There were no real error messages indicating a
problem other than the apparent "overassignment" of IRQs 16 and 17 as is
apparent in the following excerpt from /var/log/messages:

Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I26,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I26,P1) -> 17
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I26,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I27,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I28,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I28,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I29,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I29,P1) -> 17
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I29,P2) -> 18
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I29,P0) -> 16
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I31,P1) -> 17
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I31,P1) -> 17
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B0,I31,P2) -> 18
Sep  4 15:29:47 localhost kernel: PCI->APIC IRQ transform: (B3,I0,P0) -> 17

[Andy, perhaps you'd like to change the status.]
Comment 13 RHEL Product and Program Management 2007-10-19 14:35:28 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.